Module java.desktop
Package java.beans

## Class IntrospectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.beans.IntrospectionException

- All Implemented Interfaces:
    `Serializable`

      public class IntrospectionException
      extends Exception

  Thrown when an exception happens during Introspection.

  Typical causes include not being able to map a string class name to a Class object, not being able to resolve a string method name, or specifying a method name that has the wrong type signature for its intended use.

  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntrospectionException​(String mess)` | Constructs an `IntrospectionException` with a detailed message.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntrospectionException

          public IntrospectionException​(String mess)

      Constructs an `IntrospectionException` with a detailed message.
      Parameters:
        `mess` - Descriptive message